Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ldapadapter.appconn
Class ModifyEntryImpl

    java.lang.Object
      com.stc.connector.ldapadapter.appconn.ModifyEntryImpl

All Implemented Interfaces:
  ModifyEntry

    public class ModifyEntryImpl

extends java.lang.Object
implements ModifyEntry

This class is used to modify existing entries in directory entry.

Version:
  $Revision: 1.6 $
Author:

Constructor Summary
`protected` | `ModifyEntryImpl(LDAPClientApplicationImpl app)` Creates a new instance of ModifyEntry

Method Summary
`AddAttributesValues` | `getAddAttributesValues()` Method to retrieve the AddAttributesValues object when an add attribute operation was requested
`RemoveAttributesValues` | `getRemoveAttributesValues()` Method to retrieve the RemoveAttributesValues object when a remove attribute operation was requested
`ReplaceValues` | `getReplaceValues()` Method to retrieve the ReplaceValues object when a modify attribute value operation was requested
`void` | `reset()` Method to reset the values

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModifyEntryImpl

    protected ModifyEntryImpl(LDAPClientApplicationImpl app)

  Creates a new instance of ModifyEntry

  Parameters:
    `app` - The LDAP client application associated with this ModifyEntry instance.

Method Detail

### getAddAttributesValues

    public AddAttributesValues getAddAttributesValues()
                                               throws LDAPApplicationException

  Method to retrieve the AddAttributesValues object when an add attribute operation was requested

  Specified by:
    `getAddAttributesValues` in interface `ModifyEntry`
  Returns:
    the AddAttributesValues object associated with this instance
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### getRemoveAttributesValues

    public RemoveAttributesValues getRemoveAttributesValues()
                                                     throws LDAPApplicationException

  Method to retrieve the RemoveAttributesValues object when a remove attribute operation was requested

  Specified by:
    `getRemoveAttributesValues` in interface `ModifyEntry`
  Returns:
    the RemoveAttributesValues object associated with this instance
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### getReplaceValues

    public ReplaceValues getReplaceValues()
                                   throws LDAPApplicationException

  Method to retrieve the ReplaceValues object when a modify attribute value operation was requested

  Specified by:
    `getReplaceValues` in interface `ModifyEntry`
  Returns:
    the ReplaceValues object associated with this instance
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### reset

    public void reset()

  Method to reset the values

  Specified by:
    `reset` in interface `ModifyEntry`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD